> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# NFTs List (ID Map)

> This endpoint allows you to **query all supported NFTs with ID, contract address, name, asset platform ID and symbol on CoinGecko**

<Tip>
  ### Tips

  * You may use this endpoint to query the list of NFTs for other endpoints that contain params like `id` (NFT collection's ID) as well as `asset_platform_id` and `contract_address`.
  * You may include values such as `per_page` and `page` to specify how many results you would like to show in the responses per page and which page of responses you would like to show.
</Tip>

<Note>
  ### Note

  * The responses are paginated to 100 items.
  * Cache / Update Frequency: every 5 minutes for all the API plans.
</Note>


## OpenAPI

````yaml api-reference/coingecko-pro.json get /nfts/list
openapi: 3.0.0
info:
  title: CoinGecko Pro API
  version: 3.0.0
servers:
  - url: https://pro-api.coingecko.com/api/v3
security:
  - apiKeyAuth: []
  - apiKeyQueryParam: []
paths:
  /nfts/list:
    get:
      tags:
        - NFTs (Beta)
      summary: NFTs List (ID Map)
      description: >-
        This endpoint allows you to **query all supported NFTs with ID, contract
        address, name, asset platform ID and symbol on CoinGecko**
      operationId: nfts-list
      parameters:
        - name: order
          in: query
          description: use this to sort the order of responses
          required: false
          schema:
            type: string
            enum:
              - h24_volume_usd_asc
              - h24_volume_usd_desc
              - h24_volume_native_asc
              - h24_volume_native_desc
              - floor_price_native_asc
              - floor_price_native_desc
              - market_cap_native_asc
              - market_cap_native_desc
              - market_cap_usd_asc
              - market_cap_usd_desc
        - name: per_page
          in: query
          description: |-
            total results per page 
             Valid values: 1...250
          required: false
          schema:
            type: number
        - name: page
          in: query
          description: page through results
          required: false
          schema:
            type: number
      responses:
        '200':
          description: List all NFTs categories
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NFTList'
components:
  schemas:
    NFTList:
      type: object
      properties:
        id:
          type: string
          description: NFT collection ID
        contract_address:
          type: string
          description: NFT collection contract address
        name:
          type: string
          description: NFT collection name
        asset_platform_id:
          type: string
          description: NFT collection asset platform ID
        symbol:
          type: string
          description: NFT collection symbol
      example:
        - id: bored-ape-yacht-club
          contract_address: '0xbc4ca0eda7647a8ab7c2061c2e118a18a936f13d'
          name: Bored Ape Yacht Club
          asset_platform_id: ethereum
          symbol: BAYC
        - id: pudgy-penguins
          contract_address: '0xBd3531dA5CF5857e7CfAA92426877b022e612cf8'
          name: Pudgy Penguins
          asset_platform_id: ethereum
          symbol: PPG
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-cg-pro-api-key
    apiKeyQueryParam:
      type: apiKey
      in: query
      name: x_cg_pro_api_key

````